<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SampleApp/src/KeywordObserver.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html">SampleApp</a></li><li class="navelem"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">KeywordObserver.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_keyword_observer_8h_source.html">SampleApp/KeywordObserver.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for KeywordObserver.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_keyword_observer_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_sample_app_2src_2_keyword_observer_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_sample_app_2src_2_keyword_observer_8cpp" id="_2workplace_2avs-device-sdk_2_sample_app_2src_2_keyword_observer_8cpp">
<area shape="rect" id="node2" href="_keyword_observer_8h.html" title="SampleApp/KeywordObserver.h" alt="" coords="1780,92,1991,117"/>
<area shape="rect" id="node5" href="_audio_input_stream_8h.html" title="AVSCommon/AVS/AudioInput\lStream.h" alt="" coords="277,425,475,464"/>
<area shape="rect" id="node8" href="_key_word_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/KeyWordObserverInterface.h" alt="" coords="5,332,203,371"/>
<area shape="rect" id="node10" href="_default_client_8h.html" title="DefaultClient/DefaultClient.h" alt="" coords="3275,165,3464,191"/>
<area shape="rect" id="node50" href="_e_s_p_data_provider_interface_8h.html" title="ESP/ESPDataProviderInterface.h" alt="" coords="5946,165,6166,191"/>
<area shape="rect" id="node6" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="550,519,712,557"/>
<area shape="rect" id="node11" href="_a_v_s_connection_manager_8h.html" title="ACL/AVSConnectionManager.h" alt="" coords="2074,245,2281,271"/>
<area shape="rect" id="node12" href="_connection_status_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ConnectionStatusObserverInterface.h" alt="" coords="4384,425,4632,464"/>
<area shape="rect" id="node13" href="_internet_connection_monitor_interface_8h.html" title="AVSCommon/SDKInterfaces\l/InternetConnectionMonitorInterface.h" alt="" coords="2051,332,2296,371"/>
<area shape="rect" id="node14" href="_message_router_8h.html" title="ACL/Transport/MessageRouter.h" alt="" coords="5050,245,5265,271"/>
<area shape="rect" id="node15" href="_auth_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthDelegateInterface.h" alt="" coords="5195,332,5386,371"/>
<area shape="rect" id="node16" href="_post_connect_synchronizer_8h.html" title="ACL/Transport/PostConnect\lSynchronizer.h" alt="" coords="1840,332,2027,371"/>
<area shape="rect" id="node17" href="_post_connect_synchronizer_factory_8h.html" title="ACL/Transport/PostConnect\lSynchronizerFactory.h" alt="" coords="2513,239,2701,277"/>
<area shape="rect" id="node18" href="_directive_sequencer_8h.html" title="ADSL/DirectiveSequencer.h" alt="" coords="2724,245,2911,271"/>
<area shape="rect" id="node19" href="_audio_activity_tracker_8h.html" title="AFML/AudioActivityTracker.h" alt="" coords="1096,339,1288,364"/>
<area shape="rect" id="node20" href="_focus_manager_8h.html" title="AFML/FocusManager.h" alt="" coords="237,525,397,551"/>
<area shape="rect" id="node21" href="_visual_activity_tracker_8h.html" title="AFML/VisualActivityTracker.h" alt="" coords="518,339,712,364"/>
<area shape="rect" id="node22" href="_audio_input_processor_8h.html" title="AIP/AudioInputProcessor.h" alt="" coords="659,245,840,271"/>
<area shape="rect" id="node23" href="_dialog_u_x_state_aggregator_8h.html" title="AVSCommon/AVS/DialogUXState\lAggregator.h" alt="" coords="1363,332,1584,371"/>
<area shape="rect" id="node24" href="_dialog_u_x_state_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DialogUXStateObserverInterface.h" alt="" coords="786,425,1017,464"/>
<area shape="rect" id="node25" href="_audio_provider_8h.html" title="AudioProvider.h" alt="" coords="378,339,494,364"/>
<area shape="rect" id="node26" href="_alerts_capability_agent_8h.html" title="Alerts/AlertsCapabilityAgent.h" alt="" coords="4313,245,4511,271"/>
<area shape="rect" id="node27" href="_certified_sender_8h.html" title="CertifiedSender/Certified\lSender.h" alt="" coords="4414,332,4581,371"/>
<area shape="rect" id="node28" href="_renderer_8h.html" title="Alerts/Renderer/Renderer.h" alt="" coords="2305,245,2490,271"/>
<area shape="rect" id="node29" href="_media_player_interface_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MediaPlayerInterface.h" alt="" coords="2674,332,2883,371"/>
<area shape="rect" id="node30" href="_alert_storage_interface_8h.html" title="Alerts/Storage/AlertStorage\lInterface.h" alt="" coords="888,332,1072,371"/>
<area shape="rect" id="node31" href="_audio_player_8h.html" title="AudioPlayer/AudioPlayer.h" alt="" coords="2985,245,3164,271"/>
<area shape="rect" id="node32" href="_exception_encountered_sender_8h.html" title="AVSCommon/AVS/ExceptionEncountered\lSender.h" alt="" coords="3855,332,4124,371"/>
<area shape="rect" id="node33" href="_audio_factory_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/AudioFactoryInterface.h" alt="" coords="3733,239,3937,277"/>
<area shape="rect" id="node34" href="_equalizer_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerConfiguration\lInterface.h" alt="" coords="4248,512,4446,564"/>
<area shape="rect" id="node35" href="_equalizer_mode_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerModeController\lInterface.h" alt="" coords="3267,325,3477,377"/>
<area shape="rect" id="node36" href="_equalizer_storage_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerStorageInterface.h" alt="" coords="3501,332,3729,371"/>
<area shape="rect" id="node37" href="_audio_player_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AudioPlayerObserverInterface.h" alt="" coords="5090,519,5305,557"/>
<area shape="rect" id="node38" href="_call_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CallManagerInterface.h" alt="" coords="4147,332,4338,371"/>
<area shape="rect" id="node39" href="_capabilities_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilitiesDelegateInterface.h" alt="" coords="4707,332,4917,371"/>
<area shape="rect" id="node40" href="_capabilities_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilitiesObserverInterface.h" alt="" coords="4706,425,4918,464"/>
<area shape="rect" id="node41" href="_single_setting_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/SingleSettingObserverInterface.h" alt="" coords="5329,519,5551,557"/>
<area shape="rect" id="node42" href="_template_runtime_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/TemplateRuntimeObserverInterface.h" alt="" coords="5575,519,5822,557"/>
<area shape="rect" id="node43" href="_device_info_8h.html" title="AVSCommon/Utils/DeviceInfo.h" alt="" coords="5664,432,5872,457"/>
<area shape="rect" id="node44" href="_h_t_t_p_content_fetcher_factory_8h.html" title="AVSCommon/Utils/LibcurlUtils\l/HTTPContentFetcherFactory.h" alt="" coords="1609,332,1815,371"/>
<area shape="rect" id="node45" href="_bluetooth_8h.html" title="Bluetooth/Bluetooth.h" alt="" coords="3239,245,3388,271"/>
<area shape="rect" id="node46" href="_bluetooth_storage_interface_8h.html" title="Bluetooth/BluetoothStorage\lInterface.h" alt="" coords="2957,332,3142,371"/>
<area shape="rect" id="node47" href="_s_q_lite_message_storage_8h.html" title="CertifiedSender/SQLiteMessage\lStorage.h" alt="" coords="4535,239,4748,277"/>
<area shape="rect" id="node48" href="_do_not_disturb_capability_agent_8h.html" title="DoNotDisturbCA/DoNotDisturb\lCapabilityAgent.h" alt="" coords="4822,239,5026,277"/>
<area shape="rect" id="node49" href="_equalizer_capability_agent_8h.html" title="Equalizer/EqualizerCapability\lAgent.h" alt="" coords="3513,239,3708,277"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1sample_app"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html">alexaClientSDK::sampleApp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
